You are not logged in.

#1 2005-06-03 10:17:37

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Update on my unofficial current E17 repo

Hello everyone (especially those using my e17 repo)
I haven't had much time the past few weeks to update my repo daily; as of today I will be able to update it almost daily again. In the past I updated the pkgs mostly in the morning, but I have finally found a job now, so that forces me to update it in the evening.

my repo is:
[nickm]
Server = ftp://nickm.xs4all.nl/arch

it is unofficial and unsupported; but it works fine for me
If anyone finds an outdated package, some bug, or an e17 related package not in my repo; pm me about it and i will fix it. Also because most of these pkgs are cvs snapshots the will not always compile and they will not be updated untill i either manage to solve the problem or the devs solve the problem.
Also, I am using gcc4 to compile the packages (that should not be a problem afaik) and always try to keep my system an buildenviroment up to date.
I guess most of the deps are sorted out quite well by now, but there might always be some sort of problem, pm me if you find one.
the package e17-themes installs the themes into /opt/e17/share/enlightenment/data/themes, this is not yet supported and they have to be copied to ~/.e/e/themes if you want to use them.
And one final thing; some package are in a really early development state and don't even do what they are suposed to do.

at this moment the following packages are in the repo


doodle-0.6.2-1
e17genmenu-0.1.7-1
e17-themes
eclair-CVS
eclips-CVS
ecore-CVS
e-CVS
edb-CVS
edje-CVS
eeh-CVS
eet-CVS
eke-CVS
elation-CVS
elicit-CVS
embrace-CVS
embryo-CVS
e_modules-CVS
emotion-CVS
engage-CVS
engrave-CVS
enotes-CVS
enscribe-CVS
enterminus-CVS
entice-CVS
entrance-CVS
envision-CVS
epeg-CVS
epsilon-CVS
equate-CVS
erss-CVS
esmart-CVS
etox-CVS
euphoria-CVS
e_utils-CVS
evas-CVS
evidence-CVS
ewl-CVS
examine-CVS
exml-CVS
express-CVS
iconbar-CVS
imlib2-CVS
imlib2_loaders-CVS
imlib2-ruby-0.5.1-1
rake-0.5.4-1
redact-0.1.1-1
ruby-ecore
ruby-edje
ruby-eet-0.1.2-1
ruby-esmart
ruby-evas
update:
xmms2 works..

I saw some questions in the other thread i started here are the answers:
I use a P4 2.8 ght HT with 1GB of ram to build them
it takes about 50 minutes to build it.

I do not get this error:
enlightenment: symbol lookup error: enlightenment: undefined symbol: ECORE_X_EVE NT_DESKTOP_CHANGE

Btw I think it might be nice to get some eapps for the e17 apps that i build, has anyone made any? else I'll make some soon and add them to e17.

and one more thing; you should update to todays packages (june 3rd), as yesterday my disk was full and most of the packages were corrupted


Who is peer, and why is he resetting my connection ??

Offline

#2 2005-06-03 19:01:30

sud_crow
Member
From: Argentina
Registered: 2003-06-30
Posts: 545

Re: Update on my unofficial current E17 repo

HI, i was the one with the symbol error, that was with 20050602 now with 0603 im having the next one:

[root@archcrow crow]# enlightenment
enlightenment: error while loading shared libraries: libedje.so.0: cannot open shared object file: No such file or directory

this is as root or as user.

i have edje 0603 installed without problems, also reinstalled it just in case

here some more info:
[root@archcrow crow]# locate libedje.so.0
/opt/e17/lib/libedje.so.0
/opt/e17/lib/libedje.so.0.5.0
[root@archcrow crow]#


also, i already run ldconfig, do i need to add the path of the libraries somewhere??

Thanks for keep working on E17.


Leonardo Andrés Gallego
www.archlinux-es.org || Comunidad Hispana de Arch Linux

Offline

#3 2005-06-04 02:54:44

aveightor
Member
Registered: 2005-04-24
Posts: 33

Re: Update on my unofficial current E17 repo

add my repo to pacman and do a pacman -Sy efl to get all libraries in the efl (see enlightenment.org for details) and a pacman -S e17 to get all other stuff from my repo. all files will be installed to /opt/e17, so add /opt/e17/bin to your path and /opt/e17/lib to /etc/ld.so.conf.

Nickm posted at the beginning of this thread :http://bbs.archlinux.org/viewtopic.php?t=11118

Offline

#4 2005-06-04 05:21:31

sud_crow
Member
From: Argentina
Registered: 2003-06-30
Posts: 545

Re: Update on my unofficial current E17 repo

Yep, that solved it, thanks for the tip.

I thought the pkg was supposed to do that.. but well, doesnt matter.

On another topic: i cant get the CPU module to work... what can be wrong? does it need something installed?

GKrellm and Gdesklets worked without problems... the temp module is working too.

Thanks in advance!


Leonardo Andrés Gallego
www.archlinux-es.org || Comunidad Hispana de Arch Linux

Offline

#5 2005-06-04 11:05:14

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: Update on my unofficial current E17 repo

I do not use that module, but I'll have a look.

Ok, I found a solution you have to load a cpufreq driver, they are in
/lib/modules/2.6.11.10-ARCH/kernel/arch/i386/kernel/cpu/cpufreq/
I had to load p4-clockmod to get it working on a p4.
good luck!


Who is peer, and why is he resetting my connection ??

Offline

#6 2005-06-04 21:43:52

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Update on my unofficial current E17 repo

Uhh... What happened to the e-CVS package?

Offline

#7 2005-06-05 09:14:39

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: Update on my unofficial current E17 repo

this is what happens:

e_manager.c: In function 'e_manager_new':
e_manager.c:97: error: 'ECORE_X_EVENT_FRAME_EXTENTS_REQUEST' undeclared (first use in this function)
e_manager.c:97: error: (Each undeclared identifier is reported only once
e_manager.c:97: error: for each function it appears in.)
e_manager.c: In function '_e_manager_cb_frame_extents_request':
e_manager.c:481: error: 'Ecore_X_Event_Frame_Extents_Request' undeclared (first use in this function)
e_manager.c:481: error: 'e' undeclared (first use in this function)
make[3]: *** [e_manager.o] Error 1
make[3]: Leaving directory `/e/build/apps/e/src/e17/apps/e/src/bin'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/e/build/apps/e/src/e17/apps/e/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/e/build/apps/e/src/e17/apps/e'
make: *** [all] Error 2
==> ERROR: Build Failed.  Aborting...

such thing are usually solved quite fast, as i said before sometimes packages do not compile and they will be included as soon as they build again, or I can fix it.

EDIT: todays build (20050605) is complete, all pkg were build succesfully


Who is peer, and why is he resetting my connection ??

Offline

#8 2005-06-05 20:05:44

sud_crow
Member
From: Argentina
Registered: 2003-06-30
Posts: 545

Re: Update on my unofficial current E17 repo

Nickm wrote:

I do not use that module, but I'll have a look.

Ok, I found a solution you have to load a cpufreq driver, they are in
/lib/modules/2.6.11.10-ARCH/kernel/arch/i386/kernel/cpu/cpufreq/
I had to load p4-clockmod to get it working on a p4.
good luck!


Thanks for getting in to it, im sorry to ask again, but, i cant manage to load powernow-k8, i dont know if im doing something wrong or what.

I tryed:
[root@archcrow crow]# cpufreq-selector -g /lib/modules/2.6.11.10-ARCH/kernel/arch/i386/kernel/cpu/cpufreq/powernow-k8
No cpufreq support
[root@archcrow crow]#


but im getting that... what can it be? im sorry if this is offtopic, mods might move it to a new thread if they wish.

Thanks.


Leonardo Andrés Gallego
www.archlinux-es.org || Comunidad Hispana de Arch Linux

Offline

#9 2005-06-05 22:11:50

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: Update on my unofficial current E17 repo

no no no, those are kernelmodules load them with modprobe
do
modprobe powernow-k8
modprobe cpufreq_stats
modprobe cpufreq_powersave
modprobe cpufreq_userspace
modprobe cpufreq_ondemand
then use cpufreq-selector -g to select a governer (ondenand, userspace or powersave)
ondemand sets the processor freq based on load
powersave sets it to the lowest speed available
userspace lets you set it


Who is peer, and why is he resetting my connection ??

Offline

#10 2005-06-06 03:36:06

sud_crow
Member
From: Argentina
Registered: 2003-06-30
Posts: 545

Re: Update on my unofficial current E17 repo

Ooops smile

Well, i already had several problems loading powernow-k8 trying to get Cool and Quiet working...

Im forking this problem to this thread:
http://bbs.archlinux.org/viewtopic.php?p=91460#91460

So i dont keep going offtopic here.
Hope someone has a clue on whats going on.

Thanks again.


Leonardo Andrés Gallego
www.archlinux-es.org || Comunidad Hispana de Arch Linux

Offline

#11 2005-06-06 22:49:43

sud_crow
Member
From: Argentina
Registered: 2003-06-30
Posts: 545

Re: Update on my unofficial current E17 repo

Am i the onlyone without ATL+TAB functionality?

Also, it would be nice for some E17 tips and hints... like the programs included and what functionalitys they have. I know some, but i might be missing others...
edit: actually im more interested in some configuration files, i would like to know if there is the same options for window management as in e16 or if this is still a bit inmature.

(just in case: im saying we could share some tips about the configuration of E17, just that).


Leonardo Andrés Gallego
www.archlinux-es.org || Comunidad Hispana de Arch Linux

Offline

#12 2005-06-07 08:02:01

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: Update on my unofficial current E17 repo

check http://get-e.org/ for themes, icon sets (eapps) and configuration guides.
entangle (part of e_utils) is a menu editor. you can use e17setroot to set create and set a wallpaper. you can use emblem to switch wallpaper. i'll include more info in the first post in this thread later on, and I'll descrtbe what various apps do.
but for configuration stuff check out http://get-e.org/ .
good luck


Who is peer, and why is he resetting my connection ??

Offline

#13 2005-06-07 15:22:21

sud_crow
Member
From: Argentina
Registered: 2003-06-30
Posts: 545

Re: Update on my unofficial current E17 repo

Thanks nickm, sorry to be the only-one bothering you sad


Leonardo Andrés Gallego
www.archlinux-es.org || Comunidad Hispana de Arch Linux

Offline

#14 2005-06-08 11:19:14

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: Update on my unofficial current E17 repo

No problem at all. I just hope more and more people will get into e17.
I think e17 is amazing, it is way faster than kde or gnome and looks just perfect.


Who is peer, and why is he resetting my connection ??

Offline

#15 2005-06-08 19:23:19

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Update on my unofficial current E17 repo

Uhh, Nickm? Eclair needs libtag to run... (That's available in Rensel's repo.)

Offline

#16 2005-06-09 21:51:05

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: Update on my unofficial current E17 repo

superdigg wrote:

You just made it so much easier to switch to arch. Thanks!

lol ;-)

Libtag is named taglib, and it is available in the main repo's too.
I will add the dependency to ecliar. thanx


Who is peer, and why is he resetting my connection ??

Offline

#17 2005-06-09 22:13:19

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: Update on my unofficial current E17 repo

You're welcome.

Offline

Board footer

Powered by FluxBB